National Flags

Wrong download package 2.1.4 - National Flags

Wrong download package 2.1.4

by bennybernaer » Sun Jan 21, 2018 5:27 pm

When I try to download the 2.1.4 version here on phpbb.com, I get the 2.1.3 version.
User avatar
bennybernaer
Registered User
Posts: 100
Joined: Tue Mar 22, 2011 9:53 pm
Contact:

Re: Wrong download package 2.1.4

by bennybernaer » Sun Jan 21, 2018 5:47 pm

Apparently is composer.json not adjusted?

Code: Select all

{
    "name": "rmcgirr83/nationalflags",
    "type": "phpbb-extension",
    "description": "Allows a user to be able to choose a national flag and have a top (those with the most users selecting the flag) number of flags display on the index page of a phpBB forum.  Header is link to a listing of all users of a flag.  Clicking on user count of the flag displays the users that have that flag set.  This extension requires at least phpBB version 3.1.4-RC1.",
    "homepage": "https://github.com/rmcgirr83/phpbb-3.1-nationalflags",
    "version": "2.1.3",
    "time": "2017-10-12",
    "keywords": [
        "phpbb",
        "extension",
        "flags",
        "national",
        "national flags",
        "user",
        "communication"
    ],
    "license": "GPL-2.0",
    "authors": [
        {
            "name": "Rich McGirr",
            "role": "Developer"
        }
    ],
    "require": {
        "php": ">=5.4.0",
        "phpbb/phpbb": ">=3.1.4-RC1",
        "composer/installers": "~1.0.0"
    },
    "extra": {
        "display-name": "National Flags",
        "soft-require": {
            "phpbb/phpbb": ">=3.1.4-RC1"
        },
        "version-check": {
            "host": "www.phpbb.com",
            "directory": "/customise/db/extension/phpbb_3.1_national_flags",
            "filename": "version_check"
        }
    }
}
User avatar
bennybernaer
Registered User
Posts: 100
Joined: Tue Mar 22, 2011 9:53 pm
Contact:

Re: Wrong download package 2.1.4

by null2 » Sun Jan 21, 2018 8:28 pm

Same thing here. I have changed composer.json to 2.1.4
Sorry for my bad english. I'm from USA.
User avatar
null2
Registered User
Posts: 416
Joined: Wed Jan 20, 2010 11:03 am
Contact:

Re: Wrong download package 2.1.4

by RMcGirr83 » Mon Jan 22, 2018 11:31 am

It is the 2.1.4 version, the composer file is incorrect.
In times of change, learners inherit the earth, while the learned find themselves beautifully equipped to deal with a world that no longer exists - Eric Hoffer
Former Modifications/Extensions Team Member | My extensions
Appreciate the extensions/mods/support then buy me a beer
All requests for support via PM will be ignored
User avatar
RMcGirr83
Recognised Extension Developer
Posts: 20854
Joined: Wed Jun 22, 2005 4:33 pm
Location: Your display
Name: Rich McGirr
Contact:

Re: Wrong download package 2.1.4

by RMcGirr83 » Mon Jan 22, 2018 2:14 pm

Fixed
In times of change, learners inherit the earth, while the learned find themselves beautifully equipped to deal with a world that no longer exists - Eric Hoffer
Former Modifications/Extensions Team Member | My extensions
Appreciate the extensions/mods/support then buy me a beer
All requests for support via PM will be ignored
User avatar
RMcGirr83
Recognised Extension Developer
Posts: 20854
Joined: Wed Jun 22, 2005 4:33 pm
Location: Your display
Name: Rich McGirr
Contact:

Re: Wrong download package 2.1.4

by null2 » Sat Jan 27, 2018 5:59 pm

And about "time": "2017-10-12" in composer?
Sorry for my bad english. I'm from USA.
User avatar
null2
Registered User
Posts: 416
Joined: Wed Jan 20, 2010 11:03 am
Contact:

Re: Wrong download package 2.1.4

by RMcGirr83 » Sun Jan 28, 2018 12:40 pm

I don't suppose you downloaded it since? "time": "2018-01-22"
In times of change, learners inherit the earth, while the learned find themselves beautifully equipped to deal with a world that no longer exists - Eric Hoffer
Former Modifications/Extensions Team Member | My extensions
Appreciate the extensions/mods/support then buy me a beer
All requests for support via PM will be ignored
User avatar
RMcGirr83
Recognised Extension Developer
Posts: 20854
Joined: Wed Jun 22, 2005 4:33 pm
Location: Your display
Name: Rich McGirr
Contact:

Re: Wrong download package 2.1.4

by null2 » Tue Jan 30, 2018 2:01 pm

I didnt downloaded it again. Are there any other changes beside these?

Im getting some random errors in 2.1.4 version and I had to return to 2.1.3
Sorry for my bad english. I'm from USA.
User avatar
null2
Registered User
Posts: 416
Joined: Wed Jan 20, 2010 11:03 am
Contact:

Re: Wrong download package 2.1.4

by RMcGirr83 » Tue Jan 30, 2018 8:49 pm

What are the "random errors" which belongs in it's own topic.
In times of change, learners inherit the earth, while the learned find themselves beautifully equipped to deal with a world that no longer exists - Eric Hoffer
Former Modifications/Extensions Team Member | My extensions
Appreciate the extensions/mods/support then buy me a beer
All requests for support via PM will be ignored
User avatar
RMcGirr83
Recognised Extension Developer
Posts: 20854
Joined: Wed Jun 22, 2005 4:33 pm
Location: Your display
Name: Rich McGirr
Contact:

Re: Wrong download package 2.1.4

by null2 » Tue Jan 30, 2018 8:58 pm

I have found this error. It was in pt_br translation file. After I put my own translation instead of the available one here in translation topic, it worked fine.
Sorry for my bad english. I'm from USA.
User avatar
null2
Registered User
Posts: 416
Joined: Wed Jan 20, 2010 11:03 am
Contact: